/********************************** (C) COPYRIGHT *******************************
 * File Name          : main.c
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2023/04/06
 * Description        : Main program body.
*********************************************************************************
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
*******************************************************************************/

/*
 *@Note
 *GPIO routine:
 *PA0 push-pull output.
 *
 ***Only PA0--PA15 and PC16--PC17 support input pull-down.
 */

#include "debug.h"
#include "usart1.h"
/* Global define */

/* Global Variable */

extern volatile u8 flag;
extern u8 USART_Rbuffer_Num;
extern u8 USART_Tbuffer_Num;
extern u8 USART_Rbuffer[buffer_len];//ջ


/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{

    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    SystemCoreClockUpdate();
    Delay_Init();
    USART_Printf_Init(115200);
    printf("SystemClk:%d\r\n", SystemCoreClock);
    printf( "ChipID:%08x\r\n", DBGMCU_GetCHIPID() );
    printf("GPIO Toggle TEST\r\n");

    USARTx_Init();
    Delay_Ms(100);
    USARTx_SendStr(USART1, "This is a test data.\n");

    while(1)
    {
        if(flag==1)
        {
            for(USART_Tbuffer_Num=0;USART_Tbuffer_Num < USART_Rbuffer_Num;USART_Tbuffer_Num++)
            {
                    USARTx_SendByte(USART1,USART_Rbuffer[USART_Tbuffer_Num]); //
            }
            flag = 0;
            USART_Rbuffer_Num = 0;
        }

    }
}
